org.apache.tinkerpop.gremlin.server.handler

## Class OpSelectorHandler

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.server.handler.OpSelectorHandler

-     public class OpSelectorHandler
      extends <any>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpSelectorHandler(Settings settings, GraphManager graphManager, GremlinExecutor gremlinExecutor, ScheduledExecutorService scheduledExecutorService)` Deprecated. As of release 3.2.8, replaced by `OpSelectorHandler(Settings, GraphManager, GremlinExecutor, ScheduledExecutorService, Channelizer)`
    `OpSelectorHandler(Settings settings, GraphManager graphManager, GremlinExecutor gremlinExecutor, ScheduledExecutorService scheduledExecutorService, Channelizer channelizer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `decode(ChannelHandlerContext ctx, RequestMessage msg, List<Object> objects)`
    `void` | `userEventTriggered(ChannelHandlerContext ctx, Object evt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpSelectorHandler

          @Deprecated
          public OpSelectorHandler(Settings settings,
                                               GraphManager graphManager,
                                               GremlinExecutor gremlinExecutor,
                                               ScheduledExecutorService scheduledExecutorService)

      Deprecated. As of release 3.2.8, replaced by `OpSelectorHandler(Settings, GraphManager, GremlinExecutor, ScheduledExecutorService, Channelizer)`

    - #### OpSelectorHandler

          public OpSelectorHandler(Settings settings,
                                   GraphManager graphManager,
                                   GremlinExecutor gremlinExecutor,
                                   ScheduledExecutorService scheduledExecutorService,
                                   Channelizer channelizer)

  - ### Method Detail

    - #### decode

          protected void decode(ChannelHandlerContext ctx,
                                RequestMessage msg,
                                List<Object> objects)
                         throws Exception

      Throws:
        `Exception`

    - #### userEventTriggered

          public void userEventTriggered(ChannelHandlerContext ctx,
                                         Object evt)
                                  throws Exception

      Throws:
        `Exception`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.